package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "IndikatorBios_T")
public class IndikatorBiosTransaksi extends BaseTransaction {

	@ManyToOne
	@JoinColumn(name = "indikatorbiosfk")
	@Caption(value = "Indikator BIOS")
	private IndikatorBIOS indikatorBIOS;

	@Column(name = "indikatorbiosfk", insertable = false, updatable = false)
	private Integer indikatorBIOSId;

	@NotNull(message = "bulan tidak boleh kosong")
	@Column(name = "bulan", nullable = false)
	@Caption(value = "Bulan")
	private String bulan;

	@NotNull(message = "tahun tidak boleh kosong")
	@Column(name = "tahun", nullable = false)
	@Caption(value = "Tahun")
	private String tahun;

	@NotNull(message = "jumlah tidak boleh kosong")
	@Column(name = "jumlah", nullable = false)
	@Caption(value = "Jumlah")
	private Double jumlah;

	@Column(name = "jumlahhari", nullable = true)
	@Caption(value = "Jumlah Hari")
	private Long jumlahHari;

	@Column(name = "tgltransaksi", nullable = true)
	@Caption(value = "Tanggal Transaksi")
	private Date tglTransaksi;

	@Column(name = "tglUpdate", nullable = true)
	@Caption(value = "Tanggal Update")
	private Date tglUpdate;

	@Column(name = "statuskirim", nullable = true)
	@Caption(value = "Status Kirim")
	private Boolean statusKirim;

	@Column(name = "kdBank", nullable = true)
	@Caption(value = "Kode Bank")
	private String kdBank;

	@Column(name = "norek", nullable = true)
	@Caption(value = "No Rekening")
	private String norek;

	@Column(name = "kdRek", nullable = true)
	@Caption(value = "Kode Rekening")
	private String kdRek;

	public Long getJumlahHari() {
		return jumlahHari;
	}

	public void setJumlahHari(Long jumlahHari) {
		this.jumlahHari = jumlahHari;
	}

	public IndikatorBIOS getIndikatorBIOS() {
		return indikatorBIOS;
	}

	public void setIndikatorBIOS(IndikatorBIOS indikatorBIOS) {
		this.indikatorBIOS = indikatorBIOS;
	}

	public Integer getIndikatorBIOSId() {
		return indikatorBIOSId;
	}

	public void setIndikatorBIOSId(Integer indikatorBIOSId) {
		this.indikatorBIOSId = indikatorBIOSId;
	}

	public String getBulan() {
		return bulan;
	}

	public void setBulan(String bulan) {
		this.bulan = bulan;
	}

	public String getTahun() {
		return tahun;
	}

	public void setTahun(String tahun) {
		this.tahun = tahun;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	public Date getTglTransaksi() {
		return tglTransaksi;
	}

	public void setTglTransaksi(Date tglTransaksi) {
		this.tglTransaksi = tglTransaksi;
	}

	public Date getTglUpdate() {
		return tglUpdate;
	}

	public void setTglUpdate(Date tglUpdate) {
		this.tglUpdate = tglUpdate;
	}

	public Boolean getStatusKirim() {
		return statusKirim;
	}

	public void setStatusKirim(Boolean statusKirim) {
		this.statusKirim = statusKirim;
	}

	public String getKdBank() {
		return kdBank;
	}

	public void setKdBank(String kdBank) {
		this.kdBank = kdBank;
	}

	public String getNorek() {
		return norek;
	}

	public void setNorek(String norek) {
		this.norek = norek;
	}

	public String getKdRek() {
		return kdRek;
	}

	public void setKdRek(String kdRek) {
		this.kdRek = kdRek;
	}

}
